/*  ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003, 2004
 *
 *   Use of this software is controlled by the terms and conditions found
 *   in the license agreement under which this software has been supplied.
 *  ============================================================================
 */

/* =============================================================================
 *   @file  Pllc_example.h
 *
 *   @desc  Example test header file to PLLC.
 * =============================================================================
 */

/* =============================================================================
 *  Revision History
 *  ===============
 *  12-may-2005 Ganesh K  File created.
 *
 * =============================================================================
 */

#ifndef _PLLC_EXAMPLE_H_
#define _PLLC_EXAMPLE_H_

#ifdef __cplusplus
extern                   "C"
{
#endif

#include <csl_pllc.h>
#include <soc.h>
#include <string.h>
#include <stdio.h>

/* 
 * For every error the error count variable is increased. So count will be 
 * zero when there is no error, So test passed.
 */
#define PLLC_TEST_PASSED            0

/* New value to be set in Divider ratio register */
#define PLLC_DIV3_RATIO_NEW_VAL     0x02

/*
 * =============================================================================
 *  @func   pllc_csl_example_test
 *
 *  @desc
 *     This is the test routine which write, read and verify divider3 value.
 *
 *  @arg
 *      NONE
 *  
 *  @return
 *      NONE
 * =============================================================================
*/
extern void pllc_csl_example_test (
    void
);

/*
 * =============================================================================
 *  @func   pllc_error_exit
 *
 *  @desc
 *     This calls the module close function in case of error 
 *
 *  @arg
 *      NONE
 *  
 *  @return
 *      NONE
 * =============================================================================
 */
extern void pllc_error_exit (
    void
);

#ifdef __cplusplus
}
#endif


#endif                          /* _PLLC_EXAMPLE_H_ */
