/* ============================================================================
 *   @file  csl_test_fw.h
 *
 *   @path  $(CSLPATH)\
 *
 *   @desc  dot h file.
 *
 *
 * ============================================================================
 *   @n <b> Description </b>
 *   @n This is the file to add two test automation frame work macros
 *   
 * ===========================================================================
 */ 

 
 /* ============================================================================
 *   Copyright (c) Texas Instruments Inc 2002, 2003
 *
 *   Use of this software is controlled by the terms and conditions found in
 *   the license agreement under which this software has been supplied 
 *   priovided
 *  ============================================================================
 */

/* =============================================================================
 *  Revision History
 *  ===============
 *  16-Feb-2005 SR File Created.
  * =============================================================================
 */
#ifndef _CSL_TEST_FW_H_ 
#define _CSL_TEST_FW_H_ 
#include <stdio.h>

#define PRINT_PASS(w, x, y) printf ("### %s: %s: %s: %s\n", w, x, y, "PASS")
#define PRINT_FAIL(w, x, y) printf ("### %s: %s: %s: %s\n", w, x, y, "FAIL")

/* w represents- Module Name
 * x represents- Main testcase name
 * y represents- Sub testcase name
 *
 * Usage Example:
 *
 * To print Pass message:
 * PRINT_PASS("Module", "Main testcase name", "Sub testcase name");
 *
 * To print Failed message:
 * PRINT_FAIL("Module", "Main testcase name", "Sub testcase name");
 *
 */

/* test End Print */
#define TEST_END_PRINT  \
	printf("================================================================================\n")

#define SUB_TEST_END_PRINT	\
    printf("********************************************************************************\n") 			
    
#define TEST_HEAD_PRINT(m1)    \
    printf("\n\t\t############### %s ###############\n",m1)     

#define SUB_TEST_HEAD_PRINT(m1)    \
	printf("\t\t*************** %s ***************\n",m1)
	

#endif

