/*  ============================================================================
 *  Copyright (c) Texas Instruments Inc 2002, 2003, 2004, 2005
 *
 *  Use of this software is controlled by the terms and conditions found in the
 *  license agreement under which this software has been supplied.
 *  ============================================================================
 */
/** ============================================================================
 *   @file  csl_version.h
 *
 *   @path  $(CSLPATH)\inc
 *
 *   @desc  This file contains the version number of different chips
 *
 */
/* =============================================================================
 *  Revision History
 *  ===============
 *  02-Jul-2007 NG  Updated for intc version information
 * =============================================================================
 */

#ifndef _CSL_VERSION_H_
#define _CSL_VERSION_H_

#ifdef __cplusplus
extern "C" {
#endif

#include <tistdtypes.h>

/* 0xAABBCCDD -> Arch (AA); API Changes (BB); Major (CC); Minor (DD) */
#define CSL_VERSION_ID          (0x03000900)    
#define CSL_VERSION_STR         "@(#) CSL Revision: 3.00.09.00;"

#ifdef C6722
#define CSL_CHIP_ID             (0xC6722)
#define CSL_CHIP_STR            "TMS320C6722 PG 1.0 (C67)"
#endif

#ifdef C6726
#define CSL_CHIP_ID             (0xC6726)
#define CSL_CHIP_STR            "TMS320C6722 PG 1.0 (C67)"
#endif

#ifdef C6727
#define CSL_CHIP_ID             (0xC6727)
#define CSL_CHIP_STR            "TMS320C6726 PG 1.0 (C67)"
#endif

#ifdef DA705
#define CSL_CHIP_ID             (0xDA705)
#define CSL_CHIP_STR            "TMS320DA705 PG 1.0 (C67)"
#endif

#ifdef DA707
#define CSL_CHIP_ID             (0xDA707)
#define CSL_CHIP_STR            "TMS320DA707 PG 1.0 (C67)"
#endif

#ifdef DA708
#define CSL_CHIP_ID             (0xDA708)
#define CSL_CHIP_STR            "TMS320DA708 PG 1.0 (C67)"
#endif

#ifdef DA710
#define CSL_CHIP_ID             (0xDA710)
#define CSL_CHIP_STR            "TMS320DA710 PG 1.0 (C67)"
#endif

#ifdef C672x_intc
#define CSL_CHIP_ID             (0x672)
#define CSL_CHIP_STR            "C672x "
#endif

/**
  @brief    Retrieves the version ID
*/
Uint32
    CSL_versionGetID (
        void
);


/**
  @brief    Retrieves the version string
*/
const char *
    CSL_versionGetStr (
        void
);


#ifdef __cplusplus
}
#endif

#endif /* _CSL_VERSION_H_ */

